Subject: Re: [Tm-rid] input to requirements draft

From: "Stuart W. Card" <[email-masked]>
Date: Mon, 11 May 2020 00:26:22 -0400

Andrei et al --

I got pulled off protocol work for 2.5 weeks to write the requirements
for our test facility, but now am starting to slog through the backlog
of email. This is the first one of note from after our interim meeting.
I agree these points were worth making, but I'm not sure which of them
you want added to the requirements draft, vs which are meta-discussion?
Thanks!

-- Stu

On 4/23/2020 8:24 AM, Andrei Gurtov wrote:
> Hej
> 
> Please find my input for the requirements draft which was discussed at
> the interim meeting.
> 
> br Andrei
> 
> LiU&LFV
> 
> 
> Discussion
> 
> This document is largely based on the process of one SDO, ASTM.
> Therefore, it is tailored to specific needs and data formats of this
> standard. Other organization, for example in EU, do not necessary follow
> the same architecture. IETF traditionally operates assuming the source
> material for the standardization process is publicly available. However,
> ASTM standards require a fee for download. Therefore a double-liaison
> program at IETF might need to be activated, providing free access to
> ASTM specifications for contributors to IETF documents.
> 
> The need for drone ID and operator privacy is an open discussion topic.
> For instance, in vehicular domain each car carries a publicly visible
> plate number. In some countries, for nominal cost or even for free,
> anyone can resolve the identity and contact information of the owner.
> Civil commercial aviation and maritime industry  also has a tradition of
> broadcasting plane or ship ID, coordinates and even flight plans in
> plain text. Community networks such as OpenSky and Flightradar use this
> open information through ADS-B to deploy public services of flight
> tracking. Many researchers also use these data to perform optimization
> of routes and airport operations. Such ID information should be
> integrity protected, but not necessarily confidential.
> 
> In civil aviation, aircraft identity is broadcasted by a device known as
> transponder. It is transmitting a four-digit squawk code, which is
> assigned by a traffic controller to and airplane after approving a
> flight plan. There are several reserved codes such as 7600 which
> indicate radio communication failure. The codes a unique in certain
> traffic area and can be re-assigned when entering another control area.
> The code is transmitted in plain text by transponder and also used for
> collision avoidance by a system known as TCAM. The system could be used
> for UAVs as well initially, but the code space is quite limited and
> likely to be exhausted soon. The expected number of UAVs far exceeds the
> number of civil airplanes in operation.
> 
> The ADS-B system is utilized in civil aviation for airplane to broadcast
> its ID, coordinates, altitude for other airplanes and ground control
> stations. If this system is adopted for drone IDs, it has additional
> benefit with backward compatibility with civil aviation infrastructure.
> Then, pilots and dispatchers will be able to see UAVs on their control
> screens and take those into account. If not, a gateway translation
> system between the propose drone ID and civil aviation system should be
> implemented.
> 
> WiFi and Bluetooth are two wireless technologies currently recommended
> by ASTM specifications due to their widespread use and broadcast nature.
> However, those have limited range (max 100s of meters) and may not
> reliably deliver UAV id at high altitude or distance. Therefore, a study
> should be made of alternative technologies from telecom domain (WiMax,
> 5G) or sensor networks (Sigfox, LORA). Such transmission technologies
> can impose additional restrictions on packet sizes and frequency of
> transmissions, but could provide better energy efficiency and range. In
> civil aviation, CPDLC link is used to transmit command and control
> between the pilots and ATC. It could be considered for UAVs as well due
> to long range and proven use despite its lack of security [3].
> 
> L-band Digital Aeronautical Communications System (LDACS) is being
> standardized by ICAO and IETF for use in future civil aviation [1,2]. It
> provides secure communication, positioning and control for aircraft
> using a dedicated radio band. It should be analyzed as a potential
> provider for UAV ids as well. This will bring the benefit of a global
> integrated system creating a global airspace use awareness.
> 
> [1]  N.Mäurer, C. Schmitt: Towards Successful Realization of the LDACS
> Cybersecurity Architecture: An Updated Datalink Security Threat- and
> Risk Analysis. Integrated Communications, Navigation and Surveillance
> Conference (ICNS), IEEE, Washington, DC, USA, April 2019
> 
> [2]  N.Mäurer, T.Gräupl, C.Schmitt: L-band Digital Aeronautical
> Communications System (LDACS). IETF Internet Draft, Informational Draft,
> Fremont, CA, USA, Version 01, draft-maeurer-raw-ldacs-02, April 2020
> 
> [3] A. Gurtov, T. Polishchuk and M. Wernberg, Controller-Pilot Data Link
> Communication Security, MDPI Sensors 2018, 18(5), 1636.
> 
> 
> 

-- 
-----------------------------------------
Stuart W. Card, PhD, Principal Engineer
AX Enterprize, LLC  www.axenterprize.com
4947 Commercial Drive, Yorkville NY 13495